Name:           perl-IO-Compress-Bzip2
Version:        2.015
Release:        1%{?dist}
Summary:        Perl interface to allow reading and writing of bzip2 data

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/IO-Compress-Bzip2/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/IO-Compress-Bzip2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl, perl(ExtUtils::MakeMaker), perl(Test::Pod)
BuildRequires:  perl(Compress::Raw::Bzip2), perl(IO::Compress::Base)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Perl interface that allows reading and writing
bzip2 compressed data to files or buffers.


%prep
%setup -q -n IO-Compress-Bzip2-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IO/
%{_mandir}/man3/*.3*


%changelog
* Fri Mar  5 2010 Marcela Mašláňová <mmaslano@redhat.com> - 2.015-1
- change to DESTDIR
- update to 2.015 (last Bzip2 separated module)
- thanks to Ville Skyttä for pointing out fix of 555420

* Fri Jan 15 2010 Stepan Kasal <skasal@redhat.com> - 2.005-7
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.005-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.005-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.005-3
Rebuild for new perl

* Tue Jul 17 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-2
- Bump release to beat F-7 version

* Sun Jul 01 2007 Robin Norwood <rnorwood@redhat.com> - 2.005-1
- Update to 2.005.

* Wed Jun 06 2007 Robin Norwood <rnorwood@redhat.com> - 2.004-1
- Initial build from CPAN.
